
#pragma once

#define BAUD_RATE 115200

#define N_AXIS 3
#define X_AXIS 0
#define Y_AXIS 1
#define Z_AXIS 2

#define DEFAULT_X_STEPS_PER_MM (200.0 / (PI * 14.0))  // ≈ 4.55
#define DEFAULT_Y_STEPS_PER_MM (200.0 / (PI * 14.0))  // same

// #define DEFAULT_X_STEPS_PER_MM 240.0
// #define DEFAULT_Y_STEPS_PER_MM 340.0
#define DEFAULT_Z_STEPS_PER_MM 100.0

// #define DEFAULT_X_MAX_TRAVEL 240.0
// #define DEFAULT_Y_MAX_TRAVEL 340.0

//max_X_travel_mm = 800 / 4.55 ≈ 175.82 mm
//max_Y_travel_mm = 1000 / 4.55 ≈ 219.78 mm
#define DEFAULT_X_MAX_TRAVEL 175.82
#define DEFAULT_Y_MAX_TRAVEL 219.78
#define DEFAULT_Z_MAX_TRAVEL 50.0

// #define MAX_X_STEPS (DEFAULT_X_STEPS_PER_MM * DEFAULT_X_MAX_TRAVEL)
// #define MAX_Y_STEPS (DEFAULT_Y_STEPS_PER_MM * DEFAULT_Y_MAX_TRAVEL)
// #define MM_TO_STEPS_X(mm) ((mm) * DEFAULT_X_STEPS_PER_MM)
// #define MM_TO_STEPS_Y(mm) ((mm) * DEFAULT_Y_STEPS_PER_MM)
// #define MM_TO_STEPS_Z(mm) ((mm) * DEFAULT_Z_STEPS_PER_MM)

#define DEFAULT_FEEDRATE_MM_PER_MIN 10 

#define X_STEP_PIN D5
#define X_DIR_PIN  D6
#define Y_STEP_PIN D7
#define Y_DIR_PIN  D8
#define Z_SERVO_PIN D0       // Cambia si usas otro pin
// #define Z_SERVO_DOWN 0       // Ángulo cuando la herramienta baja
// #define Z_SERVO_UP 180       // Ángulo cuando la herramienta sube

#define MM_TO_STEPS_X(mm) ((mm) * DEFAULT_X_STEPS_PER_MM)
#define MM_TO_STEPS_Y(mm) ((mm) * DEFAULT_Y_STEPS_PER_MM)
#define MM_TO_STEPS_Z(mm) ((mm) * DEFAULT_Z_STEPS_PER_MM)
#define STEPS_TO_MM_X(steps) ((steps) / DEFAULT_X_STEPS_PER_MM)
#define STEPS_TO_MM_Y(steps) ((steps) / DEFAULT_Y_STEPS_PER_MM)
#define STEPS_TO_MM_Z(steps) ((steps) / DEFAULT_Z_STEPS_PER_MM)